from langchain_openai import ChatOpenAI
from config import AppConfig

def create_model(config: AppConfig) -> ChatOpenAI:
    return ChatOpenAI(
        model_name=config.model,
        openai_api_key=config.api_key,
        openai_api_base=config.api_url,
        temperature=0.7,
    )